#include<iostream>
using namespace std;
int main () {
 long long n , bredno , brdve;
 string purvo;
 string vtoro;
 cin >> bredno >> purvo >> brdve >> vtoro >> n;

   if ( bredno > n){
    cout << bredno - n;
   }



return 0;
}
